<?php
/*
Plugin Name: Feiertag
Plugin URI: http://www.wolfgang-aachen.de/wordpress
Description: Feiertage berechnen. ShortCode  [feiertage]  auf einer neuen Seite (z.b. Feiertage) hinzufügen.
Author: Wolfgang Conrad
Version: 1.1
License: GNU GPL v2
Min WP Version: 3.0
Max WP Version: 5.0
*
*
* Historie:
* 1.1  Jahre als Variablen hinzu (bei Auswahl)
* 1.0  Ausgabe ueber Shortcode [feiertage] auf normaler Seite
*
*/


/* Shortcode fuer Backend, aufruf Ueber  [SoftwareLesen]  */ 
add_shortcode('feiertage', 'ft_feiertage');

function ft_feiertage (){
  $ft_pfad = plugin_dir_path( __FILE__ );
  $ft_datei =  basename(dirname(__FILE__)).'.php' ;
  // Aktuelles jahr ermitteln
  $jahr = date("Y",time()); 
  ?>  
  
  <h1 align='center'> Anzeige diverser Feiertage</h1> 

  <br>   <br>

  <form method="post">
     <select name='jahr' size='1'>       
             <option value='<?php echo $jahr ?>'> Jahr ausw&auml;hlen...</option> 
             <?php 
               for($i=0; $i<6; $i++) {                
				         echo " <option value='$jahr'> $jahr </option>";
                 $jahr = $jahr + 1;
	             } 
             ?>             
     </select>
     <br>
     <p><input type='submit'> 
        <input type='reset'> </p>
  </form>
  <br>  <hr> 
   
<?php
 // Standardjahr festlegen bzw. Auswahl 
   if(!isset($_POST['jahr']))
     $jahr = date("Y",time());  // Standardjahr      
       else
     $jahr = $_POST['jahr'];      

   // Datei mit Berechnungen aufrufen 
   include "feiertag.inc.php";

   echo "<h2>Feiertage im Jahr $jahr (in NRW) </h2>";

   /* Feiertage ermitteln */
   ft_feiertagNRW($jahr, $ftag);

   /* Ausgabe Schaltjahr */
   echo "<br> <h6>";
   echo ft_schaltjahr ($jahr);
   echo "</h6> <br>";

   /* Liste ausgeben */
   echo "<table border='1' cellpadding='2'>";
   foreach($ftag as $name=>$wert)
    {   
      /* Feld mit deutschen Wochentagen */
      $wtag = array("Sonntag","Montag","Dienstag", "Mittwoch",
         "Donnerstag","Freitag","Samstag");
      $wt        = intval(date("w",$wert));
      $wochentag = $wtag[$wt];
      if ($wochentag=='Sonntag')
        $wochentag='<font color=red> Sonntag </font>';

      $datum = date("d.m.Y", $wert);
      echo "<tr onmouseover=\"this.style.backgroundColor='#6FC7E6';\" onMouseOut=\"this.style.backgroundColor='';\">
            <td> $wochentag, $datum </td><td> $name </td> 
            </tr>";
   }
   echo "</table>";
   
   echo "<br><br> <u>Quelle bzw. Vorlage:</u> &nbsp; <a href='http://www.werner-zenk.de/scripte/berechnungen_mit_dem_datum.php' target='_blank'> Werner-Zenk </a>";
}

?>